automake-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[automake-commit] branch master updated: python: support noinst_PYTHON p


From: Karl Berry
Subject: [automake-commit] branch master updated: python: support noinst_PYTHON preceding foo_PYTHON.
Date: Wed, 05 Jul 2023 11:59:41 -0400

This is an automated email from the git hooks/post-receive script.

karl pushed a commit to branch master
in repository automake.

View the commit online:
https://git.savannah.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=ab347652df9ff8f65ba1be6aaa357cf3c2b16dca

The following commit(s) were added to refs/heads/master by this push:
     new ab347652d python: support noinst_PYTHON preceding foo_PYTHON.
ab347652d is described below

commit ab347652df9ff8f65ba1be6aaa357cf3c2b16dca
Author: Bogdan <bogdro_rep@gmx.us>
AuthorDate: Wed Jul 5 08:59:29 2023 -0700

    python: support noinst_PYTHON preceding foo_PYTHON.
    
    This change fixes https://bugs.gnu.org/24507.
    
    * lib/am/python.am (am__pep3147_tweak): remove conditional
    on %?INSTALL%.
    * t/python-pr10995.sh: test with make uninstall.
---
 lib/am/python.am    | 4 ++--
 t/python-pr10995.sh | 6 ++++++
 2 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/lib/am/python.am b/lib/am/python.am
index 98f95af1b..19f268efc 100644
--- a/lib/am/python.am
+++ b/lib/am/python.am
@@ -94,11 +94,11 @@ endif %?INSTALL%
 ## Uninstalling.  ##
 ## -------------- ##
 
-if %?INSTALL%
-
 ?FIRST?am__pep3147_tweak = \
 ?FIRST?  sed -e 's|\.py$$||' -e 's|[^/]*$$|__pycache__/&.*.pyc 
__pycache__/&.*.pyo|'
 
+if %?INSTALL%
+
 .PHONY uninstall-am: uninstall-%DIR%PYTHON
 uninstall-%DIR%PYTHON:
        @$(NORMAL_UNINSTALL)
diff --git a/t/python-pr10995.sh b/t/python-pr10995.sh
index 324be916e..abeb8a124 100644
--- a/t/python-pr10995.sh
+++ b/t/python-pr10995.sh
@@ -17,6 +17,9 @@
 # Test automake bug#10995: am__py_compile doesn't get correctly defined
 # when there a 'noinst_PYTHON' declaration precedes a 'foo_PYTHON'
 # declaration.
+# Test also automake bug#24507: am__pep3147_tweak doesn't get correctly
+# defined when there a 'noinst_PYTHON' declaration precedes a 'foo_PYTHON'
+# declaration and 'make uninstall' fails functionally (just shows errors).
 
 required=python
 . test-init.sh
@@ -53,4 +56,7 @@ py_installed --not inst/py/no.pyc
 
 $MAKE disttest
 
+LC_ALL=C run_make -M uninstall
+grep 'command substitution' output && exit 1
+
 :



reply via email to

[Prev in Thread] Current Thread [Next in Thread]